### Hierarchy

- FormData

## Index

### Methods

- append
- delete
- forEach
- get
- getAll
- has
- set

## Methods

### append

- append(name: string, value: string | Blob, fileName?: undefined | string): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5197

  #### Parameters

  - ##### name: string

  - ##### value: string | Blob

  - ##### Optional fileName: undefined | string

  #### Returns void

### delete

- delete(name: string): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5198

  #### Parameters

  - ##### name: string

  #### Returns void

### forEach

- forEach(callbackfn: function, thisArg?: any): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5203

  #### Parameters

  - ##### callbackfn: function

    - - (value: FormDataEntryValue, key: string, parent: FormData): void

      - #### Parameters

        - ##### value: FormDataEntryValue

        - ##### key: string

        - ##### parent: FormData

        #### Returns void

  - ##### Optional thisArg: any

  #### Returns void

### get

- get(name: string): FormDataEntryValue | null

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5199

  #### Parameters

  - ##### name: string

  #### Returns FormDataEntryValue | null

### getAll

- getAll(name: string): FormDataEntryValue[]

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5200

  #### Parameters

  - ##### name: string

  #### Returns FormDataEntryValue[]

### has

- has(name: string): boolean

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5201

  #### Parameters

  - ##### name: string

  #### Returns boolean

### set

- set(name: string, value: string | Blob, fileName?: undefined | string): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5202

  #### Parameters

  - ##### name: string

  - ##### value: string | Blob

  - ##### Optional fileName: undefined | string

  #### Returns void

Generated using TypeDoc